from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XDataSequence(XInterface, Protocol):
    def getData(self) -> list[Any]: ...
    def getSourceRangeRepresentation(self) -> str: ...
    def generateLabel(self, eLabelOrigin: LabelOrigin) -> list[str]: ...
